/// <reference types="node" />
import { ApplyAssetContext, BaseAsset } from 'lisk-sdk';
interface Asset {
    readonly amount: bigint;
}
export declare const getLegacyBytes: (publicKey: string | Buffer) => Buffer;
export declare class ReclaimAsset extends BaseAsset<Asset> {
    name: string;
    id: number;
    schema: {
        $id: string;
        title: string;
        type: string;
        required: string[];
        properties: {
            amount: {
                dataType: string;
                fieldNumber: number;
            };
        };
    };
    apply({ asset, reducerHandler, stateStore, transaction: { senderPublicKey }, }: ApplyAssetContext<Asset>): Promise<void>;
}
export {};
