"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lisk_sdk_1 = require("lisk-sdk");
const constants_1 = require("../constants");
exports.liskGenesisBlockUrl = (url, network) => {
    if (!['testnet', 'mainnet', 'betanet'].includes(network.toLowerCase())) {
        return '';
    }
    if (url && url.search(constants_1.DOWNLOAD_URL) >= 0) {
        return `${constants_1.DOWNLOAD_URL}/${network}/genesis_block.json.tar.gz`;
    }
    return url;
};
exports.liskSnapshotUrl = (url, network) => {
    if (!['testnet', 'mainnet', 'betanet'].includes(network.toLowerCase())) {
        return '';
    }
    if (url && url.search(constants_1.SNAPSHOT_URL) >= 0) {
        return `${constants_1.SNAPSHOT_URL}/${network}/blockchain.db.tar.gz`;
    }
    return url;
};
exports.encryptPassphrase = (passphrase, password, outputPublicKey) => {
    const encryptedPassphraseObject = lisk_sdk_1.cryptography.encryptPassphraseWithPassword(passphrase, password);
    const encryptedPassphrase = lisk_sdk_1.cryptography.stringifyEncryptedPassphrase(encryptedPassphraseObject);
    return outputPublicKey
        ? {
            encryptedPassphrase,
            publicKey: lisk_sdk_1.cryptography.getKeys(passphrase).publicKey.toString('hex'),
        }
        : { encryptedPassphrase };
};
//# sourceMappingURL=commons.js.map